0011602: Database extensions not working for MySQL install: mysql with PHP7.0
authorPhilipp Schüle <p.schuele@metaways.de>
Thu, 25 Feb 2016 16:34:24 +0000 (17:34 +0100)
committerPhilipp Schüle <p.schuele@metaways.de>
Fri, 26 Feb 2016 08:47:56 +0000 (09:47 +0100)
* only pdo_mysql is required now
* mysql module is deprecated since php5.5

https://forge.tine20.org/view.php?id=11602

Change-Id: I8b0f4d0a2d2f62a139d59a7b7a77f13be59cb096
Reviewed-on: http://gerrit.tine20.com/customers/2811
Tested-by: Jenkins CI (http://ci.tine20.com/)
Reviewed-by: Philipp Schüle <p.schuele@metaways.de>
Tested-by: Philipp Schüle <p.schuele@metaways.de>
tine20/Setup/Controller.php

index ff94fb1..c5de057 100644 (file)
@@ -166,7 +166,7 @@ class Setup_Controller
         }
         
         // check mysql requirements
-        $missingMysqlExtensions = array_diff(array('mysql', 'pdo_mysql'), $loadedExtensions);
+        $missingMysqlExtensions = array_diff(array('pdo_mysql'), $loadedExtensions);
         
         // check pgsql requirements
         $missingPgsqlExtensions = array_diff(array('pgsql', 'pdo_pgsql'), $loadedExtensions);